Next Previous Contents

## 3.142 strcat

> Function

>   Concatentate two strings.

> Header

>   `string.h`

> Declaration

>   `char* __fastcall__ strcat (char* s1, const char* s2);`

> Description

>   The `strcat` function appends a copy of the string pointed to by s2 (including the terminating null byte) to the end of the string pointed to by s1. The initial byte of s2 overwrites the null byte at the end of s1.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - If copying takes place between objects that overlap, the behaviour is undefined.
> Availability

>   ISO 9899

> See also

>   strcpy, strncat, strncpy

> Example

>   None.

Next Previous Contents